- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Main::Output Class Referenceabstract

An abstract interface for generating output on a command-line or a GUI. More...

`#include <output.h>`

Inheritance diagram for Main::Output:

## Public Member Functions
virtual void | output (const std::string &, bool error)=0
| Outputs the given string. More...
virtual | ~Output ()
| Destructor. More...

## Detailed Description

An abstract interface for generating output on a command-line or a GUI.

The appropriate implementation is selected from main() or WinMain().

Definition at line 38 of file output.h.

## Constructor & Destructor Documentation

Main::Output::~Output | ( |  | ) |
| virtual

Destructor.

Definition at line 24 of file output.cpp.

## Member Function Documentation

virtual void Main::Output::output | ( | const std::string & | ,
|  | bool | error
| ) |  |
| pure virtual

Outputs the given string.

Implemented in App.

The documentation for this class was generated from the following files:

- output.h
- output.cpp